API reference / Screenshots
Generate screenshots
/api/v1/screenshots/generateParameters
Idempotency-Keyheaderrequiredstring
Persist this key for retries. Reusing it with changed input returns 409. Receipts are retained for at least 24 hours.
min length: 8 · max length: 128
Request body
application/json
generationIdbodyoptionalstring · uuid
projectIdbodyoptionalstring · uuid
metadatabodyoptionalJSON
screenshotsbodyoptionalobject[]
min items: 1
templateIdbodyoptionalstring
deviceTypebodyoptional"phone" | "tablet" | "desktop"
variantIdbodyoptionalstring · uuid
replaceVariantIdbodyoptionalstring · uuid
previewAllTemplatesbodyoptionalboolean
requestIdbodyoptionalstring
selectedScreenshotPathsbodyoptionalstring[]
min items: 3 · max items: 10
templateDatabodyoptionalJSON
paletteOptionsbodyoptionalobject
paletteModebodyoptional"v1" | "v2"
View complete request schema
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"generationId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"projectId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"metadata": {},
"screenshots": {
"minItems": 1,
"type": "array",
"items": {
"type": "object",
"properties": {
"url": {
"type": "string"
},
"path": {
"type": "string",
"minLength": 1
},
"filename": {
"type": "string",
"minLength": 1
}
}
}
},
"templateId": {
"type": "string"
},
"deviceType": {
"type": "string",
"enum": [
"phone",
"tablet",
"desktop"
]
},
"variantId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"replaceVariantId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"previewAllTemplates": {
"type": "boolean"
},
"requestId": {
"type": "string",
"pattern": "^[A-Za-z0-9_-]{8,64}$"
},
"selectedScreenshotPaths": {
"minItems": 3,
"maxItems": 10,
"type": "array",
"items": {
"type": "string",
"minLength": 1
}
},
"templateData": {},
"paletteOptions": {
"type": "object",
"properties": {
"v1": {
"type": "object",
"properties": {
"primary": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
},
"secondary": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
},
"accent": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
},
"text": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
},
"textSecondary": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
},
"background": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
}
},
"required": [
"primary",
"secondary",
"accent",
"text",
"textSecondary"
]
},
"v2": {
"type": "object",
"properties": {
"primary": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
},
"secondary": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
},
"accent": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
},
"text": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
},
"textSecondary": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
},
"background": {
"type": "string",
"pattern": "^#[0-9A-Fa-f]{6}$"
}
},
"required": [
"primary",
"secondary",
"accent",
"text",
"textSecondary"
]
}
},
"required": [
"v1",
"v2"
]
},
"paletteMode": {
"type": "string",
"enum": [
"v1",
"v2"
]
}
}
}Request example
Set ALF_API_URL to https://dashboard.applaunchflow.com/api/v1 and ALF_API_KEY to your key. Replace sample IDs with your project’s values. Use a new ALF_REQUEST_ID for each new operation.
curl --request POST \
--url "$ALF_API_URL/screenshots/generate" \
--header "Authorization: Bearer $ALF_API_KEY" \
--header "Content-Type: application/json" \
--header "Idempotency-Key: $ALF_REQUEST_ID" \
--data '{}'This example shows the request structure. Some editor operations require additional query parameters that are not yet described in OpenAPI.
Response
Successful JSON responses wrap the result in data, with a request ID in meta.requestId.
mobileLayoutdataoptionalobject
tabletLayoutdataoptionalobject
desktopLayoutdataoptionalobject | null
variantIddataoptionalstring · uuid
detectedLanguagedataoptionalstring
catalogKeydataoptionalstring
templatesdataoptionalobject[]
View response schema
{
"type": "object",
"required": [
"data",
"meta"
],
"properties": {
"data": {
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"mobileLayout": {
"type": "object",
"properties": {
"template": {
"type": "string"
},
"platform": {
"type": "string",
"enum": [
"ios",
"android",
"both"
]
},
"screens": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"index": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"screenType": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"screenshots": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"path": {
"type": "string"
},
"signedUrl": {
"type": "string"
},
"iosPath": {
"type": "string"
},
"iosSignedUrl": {
"type": "string"
},
"androidPath": {
"type": "string"
},
"androidSignedUrl": {
"type": "string"
},
"scale": {
"type": "number",
"exclusiveMinimum": 0
},
"tiltAngle": {
"type": "number"
},
"phoneId": {
"type": "string"
},
"tabletId": {
"type": "string"
},
"desktopId": {
"type": "string"
},
"watchId": {
"type": "string"
},
"variant3D": {
"type": "string"
},
"fitMode": {
"type": "string",
"enum": [
"stretch",
"cover",
"contain"
]
},
"showCamera": {
"type": "boolean"
},
"cleanStatusBar": {
"type": "boolean"
},
"contentRotation": {
"anyOf": [
{
"type": "number",
"const": 0
},
{
"type": "number",
"const": 90
},
{
"type": "number",
"const": 180
},
{
"type": "number",
"const": 270
}
]
},
"windowTitle": {
"type": "string"
},
"model3D": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"id",
"position",
"zIndex",
"rotation",
"scale"
],
"additionalProperties": {}
}
},
"texts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"richContent": {
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "doc"
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"text": {
"type": "string"
},
"marks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
},
"align": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"type": {
"type": "string",
"enum": [
"title",
"subtitle",
"body",
"brands"
]
},
"lineHeight": {
"type": "number"
},
"width": {
"type": "number"
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"backgroundPaddingX": {
"type": "number"
},
"backgroundPaddingY": {
"type": "number"
},
"backgroundCornerRadius": {
"type": "number"
}
},
"required": [
"id",
"position",
"zIndex",
"richContent"
],
"additionalProperties": {}
}
},
"pills": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"type": {
"type": "string",
"const": "pill"
},
"richContent": {
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "doc"
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"text": {
"type": "string"
},
"marks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"textColor": {
"type": "string",
"minLength": 1
},
"width": {
"type": "number"
},
"height": {
"type": "number"
},
"borderColor": {
"type": "string",
"minLength": 1
},
"borderWidth": {
"type": "number",
"minimum": 0
},
"borderOpacity": {
"type": "number",
"minimum": 0,
"maximum": 100
}
},
"required": [
"id",
"position",
"zIndex",
"richContent",
"backgroundColor",
"textColor",
"width",
"height"
],
"additionalProperties": {}
}
},
"badges": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"type": {
"type": "string",
"const": "badge"
},
"text": {
"type": "string"
},
"subtext": {
"type": "string"
},
"size": {
"type": "number"
}
},
"required": [
"id",
"position",
"zIndex",
"text",
"size"
],
"additionalProperties": {}
}
},
"blobs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"ratings": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"logo": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
},
"illustrations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"magnifiers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"emojis": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"backgroundGradient": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"linear",
"radial"
]
},
"colors": {
"minItems": 2,
"type": "array",
"items": {
"type": "string",
"minLength": 1
}
},
"direction": {
"type": "number"
}
},
"required": [
"type",
"colors"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"backgroundImage": {
"type": "object",
"properties": {
"url": {
"type": "string"
},
"storagePath": {
"type": "string"
},
"blur": {
"type": "number"
},
"verticalOffset": {
"type": "number"
},
"horizontalOffset": {
"type": "number"
},
"attribution": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"url"
],
"additionalProperties": {}
}
},
"required": [
"id",
"index",
"screenType",
"screenshots",
"texts"
],
"additionalProperties": {}
}
},
"headers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"width": {
"type": "number",
"exclusiveMinimum": 0
},
"height": {
"type": "number",
"exclusiveMinimum": 0
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
}
},
"required": [
"id",
"position",
"width",
"height",
"backgroundColor",
"zIndex"
],
"additionalProperties": {}
}
},
"canvasWidth": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"canvasHeight": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"backgroundGradient": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"linear",
"radial"
]
},
"colors": {
"minItems": 2,
"type": "array",
"items": {
"type": "string",
"minLength": 1
}
},
"direction": {
"type": "number"
}
},
"required": [
"type",
"colors"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"panoramaBackground": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"themeColors": {
"type": "object",
"properties": {
"primary": {
"type": "string",
"minLength": 1
},
"secondary": {
"type": "string",
"minLength": 1
},
"accent": {
"type": "string",
"minLength": 1
},
"background": {
"type": "string",
"minLength": 1
},
"text": {
"type": "string",
"minLength": 1
},
"textSecondary": {
"type": "string",
"minLength": 1
}
},
"required": [
"primary",
"secondary",
"text",
"textSecondary"
],
"additionalProperties": {}
},
"orientation": {
"type": "string",
"enum": [
"portrait",
"landscape"
]
},
"layerGroups": {
"type": "array",
"items": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
}
},
"required": [
"template",
"platform",
"screens",
"canvasWidth",
"canvasHeight",
"backgroundColor"
],
"additionalProperties": {}
},
"tabletLayout": {
"type": "object",
"properties": {
"template": {
"type": "string"
},
"platform": {
"type": "string",
"enum": [
"ios",
"android",
"both"
]
},
"screens": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"index": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"screenType": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"screenshots": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"path": {
"type": "string"
},
"signedUrl": {
"type": "string"
},
"iosPath": {
"type": "string"
},
"iosSignedUrl": {
"type": "string"
},
"androidPath": {
"type": "string"
},
"androidSignedUrl": {
"type": "string"
},
"scale": {
"type": "number",
"exclusiveMinimum": 0
},
"tiltAngle": {
"type": "number"
},
"phoneId": {
"type": "string"
},
"tabletId": {
"type": "string"
},
"desktopId": {
"type": "string"
},
"watchId": {
"type": "string"
},
"variant3D": {
"type": "string"
},
"fitMode": {
"type": "string",
"enum": [
"stretch",
"cover",
"contain"
]
},
"showCamera": {
"type": "boolean"
},
"cleanStatusBar": {
"type": "boolean"
},
"contentRotation": {
"anyOf": [
{
"type": "number",
"const": 0
},
{
"type": "number",
"const": 90
},
{
"type": "number",
"const": 180
},
{
"type": "number",
"const": 270
}
]
},
"windowTitle": {
"type": "string"
},
"model3D": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"id",
"position",
"zIndex",
"rotation",
"scale"
],
"additionalProperties": {}
}
},
"texts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"richContent": {
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "doc"
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"text": {
"type": "string"
},
"marks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
},
"align": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"type": {
"type": "string",
"enum": [
"title",
"subtitle",
"body",
"brands"
]
},
"lineHeight": {
"type": "number"
},
"width": {
"type": "number"
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"backgroundPaddingX": {
"type": "number"
},
"backgroundPaddingY": {
"type": "number"
},
"backgroundCornerRadius": {
"type": "number"
}
},
"required": [
"id",
"position",
"zIndex",
"richContent"
],
"additionalProperties": {}
}
},
"pills": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"type": {
"type": "string",
"const": "pill"
},
"richContent": {
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "doc"
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"text": {
"type": "string"
},
"marks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"textColor": {
"type": "string",
"minLength": 1
},
"width": {
"type": "number"
},
"height": {
"type": "number"
},
"borderColor": {
"type": "string",
"minLength": 1
},
"borderWidth": {
"type": "number",
"minimum": 0
},
"borderOpacity": {
"type": "number",
"minimum": 0,
"maximum": 100
}
},
"required": [
"id",
"position",
"zIndex",
"richContent",
"backgroundColor",
"textColor",
"width",
"height"
],
"additionalProperties": {}
}
},
"badges": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"type": {
"type": "string",
"const": "badge"
},
"text": {
"type": "string"
},
"subtext": {
"type": "string"
},
"size": {
"type": "number"
}
},
"required": [
"id",
"position",
"zIndex",
"text",
"size"
],
"additionalProperties": {}
}
},
"blobs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"ratings": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"logo": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
},
"illustrations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"magnifiers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"emojis": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"backgroundGradient": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"linear",
"radial"
]
},
"colors": {
"minItems": 2,
"type": "array",
"items": {
"type": "string",
"minLength": 1
}
},
"direction": {
"type": "number"
}
},
"required": [
"type",
"colors"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"backgroundImage": {
"type": "object",
"properties": {
"url": {
"type": "string"
},
"storagePath": {
"type": "string"
},
"blur": {
"type": "number"
},
"verticalOffset": {
"type": "number"
},
"horizontalOffset": {
"type": "number"
},
"attribution": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"url"
],
"additionalProperties": {}
}
},
"required": [
"id",
"index",
"screenType",
"screenshots",
"texts"
],
"additionalProperties": {}
}
},
"headers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"width": {
"type": "number",
"exclusiveMinimum": 0
},
"height": {
"type": "number",
"exclusiveMinimum": 0
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
}
},
"required": [
"id",
"position",
"width",
"height",
"backgroundColor",
"zIndex"
],
"additionalProperties": {}
}
},
"canvasWidth": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"canvasHeight": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"backgroundGradient": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"linear",
"radial"
]
},
"colors": {
"minItems": 2,
"type": "array",
"items": {
"type": "string",
"minLength": 1
}
},
"direction": {
"type": "number"
}
},
"required": [
"type",
"colors"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"panoramaBackground": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"themeColors": {
"type": "object",
"properties": {
"primary": {
"type": "string",
"minLength": 1
},
"secondary": {
"type": "string",
"minLength": 1
},
"accent": {
"type": "string",
"minLength": 1
},
"background": {
"type": "string",
"minLength": 1
},
"text": {
"type": "string",
"minLength": 1
},
"textSecondary": {
"type": "string",
"minLength": 1
}
},
"required": [
"primary",
"secondary",
"text",
"textSecondary"
],
"additionalProperties": {}
},
"orientation": {
"type": "string",
"enum": [
"portrait",
"landscape"
]
},
"layerGroups": {
"type": "array",
"items": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
}
},
"required": [
"template",
"platform",
"screens",
"canvasWidth",
"canvasHeight",
"backgroundColor"
],
"additionalProperties": {}
},
"desktopLayout": {
"anyOf": [
{
"type": "object",
"properties": {
"template": {
"type": "string"
},
"platform": {
"type": "string",
"enum": [
"ios",
"android",
"both"
]
},
"screens": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"index": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"screenType": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"screenshots": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"path": {
"type": "string"
},
"signedUrl": {
"type": "string"
},
"iosPath": {
"type": "string"
},
"iosSignedUrl": {
"type": "string"
},
"androidPath": {
"type": "string"
},
"androidSignedUrl": {
"type": "string"
},
"scale": {
"type": "number",
"exclusiveMinimum": 0
},
"tiltAngle": {
"type": "number"
},
"phoneId": {
"type": "string"
},
"tabletId": {
"type": "string"
},
"desktopId": {
"type": "string"
},
"watchId": {
"type": "string"
},
"variant3D": {
"type": "string"
},
"fitMode": {
"type": "string",
"enum": [
"stretch",
"cover",
"contain"
]
},
"showCamera": {
"type": "boolean"
},
"cleanStatusBar": {
"type": "boolean"
},
"contentRotation": {
"anyOf": [
{
"type": "number",
"const": 0
},
{
"type": "number",
"const": 90
},
{
"type": "number",
"const": 180
},
{
"type": "number",
"const": 270
}
]
},
"windowTitle": {
"type": "string"
},
"model3D": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"id",
"position",
"zIndex",
"rotation",
"scale"
],
"additionalProperties": {}
}
},
"texts": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"richContent": {
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "doc"
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"text": {
"type": "string"
},
"marks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
},
"align": {
"type": "string",
"enum": [
"left",
"center",
"right"
]
},
"type": {
"type": "string",
"enum": [
"title",
"subtitle",
"body",
"brands"
]
},
"lineHeight": {
"type": "number"
},
"width": {
"type": "number"
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"backgroundPaddingX": {
"type": "number"
},
"backgroundPaddingY": {
"type": "number"
},
"backgroundCornerRadius": {
"type": "number"
}
},
"required": [
"id",
"position",
"zIndex",
"richContent"
],
"additionalProperties": {}
}
},
"pills": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"type": {
"type": "string",
"const": "pill"
},
"richContent": {
"type": "object",
"properties": {
"type": {
"type": "string",
"const": "doc"
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"content": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"text": {
"type": "string"
},
"marks": {
"type": "array",
"items": {
"type": "object",
"properties": {
"type": {
"type": "string",
"minLength": 1
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
}
},
"required": [
"type"
],
"additionalProperties": {}
}
},
"attrs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"type",
"content"
],
"additionalProperties": {}
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"textColor": {
"type": "string",
"minLength": 1
},
"width": {
"type": "number"
},
"height": {
"type": "number"
},
"borderColor": {
"type": "string",
"minLength": 1
},
"borderWidth": {
"type": "number",
"minimum": 0
},
"borderOpacity": {
"type": "number",
"minimum": 0,
"maximum": 100
}
},
"required": [
"id",
"position",
"zIndex",
"richContent",
"backgroundColor",
"textColor",
"width",
"height"
],
"additionalProperties": {}
}
},
"badges": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"type": {
"type": "string",
"const": "badge"
},
"text": {
"type": "string"
},
"subtext": {
"type": "string"
},
"size": {
"type": "number"
}
},
"required": [
"id",
"position",
"zIndex",
"text",
"size"
],
"additionalProperties": {}
}
},
"blobs": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"ratings": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"logo": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
},
"illustrations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"magnifiers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"emojis": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"overflow": {
"type": "boolean"
},
"rotation": {
"type": "number"
},
"opacity": {
"type": "number"
},
"hidden": {
"type": "boolean"
},
"locked": {
"type": "boolean"
},
"shadow": {
"type": "object",
"properties": {
"color": {
"type": "string",
"minLength": 1
},
"blur": {
"type": "number"
},
"offsetX": {
"type": "number"
},
"offsetY": {
"type": "number"
}
},
"required": [
"color",
"blur",
"offsetX",
"offsetY"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
}
},
"required": [
"id",
"position",
"zIndex"
],
"additionalProperties": {}
}
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"backgroundGradient": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"linear",
"radial"
]
},
"colors": {
"minItems": 2,
"type": "array",
"items": {
"type": "string",
"minLength": 1
}
},
"direction": {
"type": "number"
}
},
"required": [
"type",
"colors"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"backgroundImage": {
"type": "object",
"properties": {
"url": {
"type": "string"
},
"storagePath": {
"type": "string"
},
"blur": {
"type": "number"
},
"verticalOffset": {
"type": "number"
},
"horizontalOffset": {
"type": "number"
},
"attribution": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
},
"required": [
"url"
],
"additionalProperties": {}
}
},
"required": [
"id",
"index",
"screenType",
"screenshots",
"texts"
],
"additionalProperties": {}
}
},
"headers": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1
},
"position": {
"type": "object",
"properties": {
"x": {
"type": "number"
},
"y": {
"type": "number"
}
},
"required": [
"x",
"y"
],
"additionalProperties": {}
},
"width": {
"type": "number",
"exclusiveMinimum": 0
},
"height": {
"type": "number",
"exclusiveMinimum": 0
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"zIndex": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
}
},
"required": [
"id",
"position",
"width",
"height",
"backgroundColor",
"zIndex"
],
"additionalProperties": {}
}
},
"canvasWidth": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"canvasHeight": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"backgroundColor": {
"type": "string",
"minLength": 1
},
"backgroundGradient": {
"type": "object",
"properties": {
"type": {
"type": "string",
"enum": [
"linear",
"radial"
]
},
"colors": {
"minItems": 2,
"type": "array",
"items": {
"type": "string",
"minLength": 1
}
},
"direction": {
"type": "number"
}
},
"required": [
"type",
"colors"
],
"additionalProperties": {}
},
"colorRefs": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {
"type": "string"
}
},
"panoramaBackground": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
},
"themeColors": {
"type": "object",
"properties": {
"primary": {
"type": "string",
"minLength": 1
},
"secondary": {
"type": "string",
"minLength": 1
},
"accent": {
"type": "string",
"minLength": 1
},
"background": {
"type": "string",
"minLength": 1
},
"text": {
"type": "string",
"minLength": 1
},
"textSecondary": {
"type": "string",
"minLength": 1
}
},
"required": [
"primary",
"secondary",
"text",
"textSecondary"
],
"additionalProperties": {}
},
"orientation": {
"type": "string",
"enum": [
"portrait",
"landscape"
]
},
"layerGroups": {
"type": "array",
"items": {
"type": "object",
"propertyNames": {
"type": "string"
},
"additionalProperties": {}
}
}
},
"required": [
"template",
"platform",
"screens",
"canvasWidth",
"canvasHeight",
"backgroundColor"
],
"additionalProperties": {}
},
{
"type": "null"
}
]
},
"variantId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"detectedLanguage": {
"type": "string"
},
"catalogKey": {
"type": "string"
},
"templates": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"templateId": {
"type": "string"
},
"name": {
"type": "string"
}
},
"additionalProperties": {}
}
}
},
"additionalProperties": {}
},
"meta": {
"type": "object",
"required": [
"requestId"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
}
}
}
}
}Errors & retries
Errors use application/problem+json. Check the stable code and keep requestId when contacting support. Respect Retry-After on 429 responses.